import javax.microedition.midlet.MIDlet;

import javax.microedition.lcdui.Alert;
import javax.microedition.lcdui.AlertType;
import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.CommandListener;
import javax.microedition.lcdui.Display;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.Form;
import javax.microedition.lcdui.TextField;

import javax.microedition.rms.RecordStoreException;

public class AddScreen extends Form 
  implements CommandListener
{
  private Display display = null;

  private static Command add = 
    new Command("Add", Command.SCREEN, 1);

  static private Command back = 
    new Command("Back", Command.BACK, 1);

  private TextField name = null;
  private TextField phone = null;

  // Need this so other screens can refer to the 
  // instance of this class.
  private static AddScreen instance; 

  public AddScreen(String title) 
  {
    super(title);
    instance = this;
    display = Display.getDisplay(PersistenceDemo.getInstance());

    name = new TextField("Name", null, 20, TextField.ANY);
    phone = new TextField("Phone number", null, 20, TextField.PHONENUMBER);

    append(name);
    append(phone);

    addCommand(add);
    addCommand(back);
    setCommandListener(this);
  }

  public static AddScreen getInstance()
  {
    return instance;
  }

  public void display()
  {
    display.setCurrent(this);
  }

  private void addRecord()
  {
    AddressBookMain ab = AddressBookMain.getInstance();

    if (name.size() > 0)
      {
	try
	  {
	    ab.addRecord(name.getString(), phone.getString());
	    display.setCurrent(AddressBookMain.getInstance());
	  }
	catch (RecordStoreException re)
	  {
	    Alert a = 
	      new Alert("Error storing record", 
			"The record might not have been stored.",
			null,
			AlertType.CONFIRMATION);
	    a.setTimeout(Alert.FOREVER);
	    display.setCurrent(a, this);
	  }
      }
    else
      {
	Alert a = 
	  new Alert("Empty name field", 
		    "Name field cannot be empty",
		    null,
		    AlertType.CONFIRMATION);
	a.setTimeout(Alert.FOREVER);
	display.setCurrent(a, this);
      }
  }

  public void commandAction(Command c, Displayable d)
  {
    if (c == add)
      {
	addRecord();
      }
    else if (c == back)
      {
	AddressBookMain.getInstance().display();
      }
  }
}
