import javax.microedition.midlet.MIDlet;

import javax.microedition.lcdui.Alert;
import javax.microedition.lcdui.AlertType;
import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.CommandListener;
import javax.microedition.lcdui.Display;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.List;

import javax.microedition.rms.RecordStoreException;

//import java.io.;

public class AddressBookMain extends List 
  implements CommandListener
{
  private static Command back =
    new Command("Back", Command.BACK, 1);
  private Display display;
  private static AddressBookMain instance; 
  private AddressBook addressBook;

  private String [] functions =
  {
    "Add",
    "Search",
    "List entries",
    "Delete all",
    "Statistics"
  };

  public AddressBookMain(MIDlet mid) throws RecordStoreException
  {
    super("Address Book", List.IMPLICIT);
    instance = this;
    display = Display.getDisplay(mid);

    addressBook = new AddressBook();

    append(functions[0], null);
    append(functions[1], null);
    append(functions[2], null);
    append(functions[3], null);
    append(functions[4], null);

    addCommand(back);
    setCommandListener(this);
  }

  public static AddressBookMain getInstance()
  {
    return instance;
  }

  public void display()
  {
    display.setCurrent(this);
  }

  AddressBook getAddressBook()
  {
    return addressBook;
  }

  void addRecord(String name, String phone) throws RecordStoreException
  {
    addressBook.addRecord(name, phone);
  }

  void deleteAllRecords()
  {
    addressBook.deleteAllRecords();
  }

  void showStatistics(String stats)
  {
    Alert statsDisplay = new Alert("Statistics", stats.toString(),
				   null, AlertType.INFO);
    statsDisplay.setTimeout(Alert.FOREVER);
    display.setCurrent(statsDisplay, this);
  }

  public void commandAction(Command c, Displayable d)
  {
    if (c == back)
      {
	try
	  {
	    addressBook.close();
	  }
	catch (RecordStoreException rse)
	  {
	    rse.printStackTrace();
	  }
	finally
	  {
	    PersistenceDemo.getInstance().display();
	  }
      }

    if (c != List.SELECT_COMMAND)
      return;

    int selectedIndex = getSelectedIndex();
    switch (selectedIndex)
      {
      case 0:
	{
	  AddScreen as = new AddScreen("Add Entry");
	  display.setCurrent(as);
	  break;
	}
      case 1:
	{
	  SearchScreen ss = new SearchScreen();
	  display.setCurrent(ss);
	  break;
	}
      case 2:
	{
	  RecordList rl = new RecordList("Existing records");
	  display.setCurrent(rl);
	  break;
	}
      case 3:
	{
	  String title = "Confirm delete";
	  DeleteAllConfirmationScreen cs = 
	    new DeleteAllConfirmationScreen(title);
	  display.setCurrent(cs);
	  break;
	}
      case 4:
	{
	  String stats = addressBook.getStatistics();
	  showStatistics(stats);
	  break;
	}
      }
  }
}

