import javax.microedition.lcdui.*;

/**
   Demonstrates the drawing of arcs using the Graphics
   class. 

   @see javax.microedition.lcdui.Graphics
*/
public class ArcDemo extends Canvas implements CommandListener
{
  private final int WHITE = 0xFF << 16 | 0xFF << 8 | 0xFF;

  Command back = new Command("Back", Command.BACK, 1);
  Display display = 
    Display.getDisplay(GraphicsDemo.getInstance());

  /**
     Constructor.
  */
  public ArcDemo()
  {
    super();
    addCommand(back);
    setCommandListener(this);
    display.setCurrent(this);
  }

  protected void paintClipRect(Graphics g)
  {
    int clipX = g.getClipX();
    int clipY = g.getClipY();
    int clipH = g.getClipHeight();
    int clipW = g.getClipWidth();

    int color = g.getColor();
    g.setColor(WHITE);
    g.fillRect(clipX, clipY, clipW, clipH);

    g.setColor(color);
  }

  public void paint(Graphics g)
  {
    paintClipRect(g);

    int width = getWidth();
    int height = getHeight();

    g.drawArc(5, 5, 80, 40, 90, 300);
    g.fillArc(5, 60, 80, 40, 0, 250);
  }

  public void commandAction(Command c, Displayable d)
  {
    if (c == back)
      GraphicsDemo.getInstance().display();
  }
}
