import javax.microedition.midlet.MIDlet;

import javax.microedition.lcdui.Display;

/**
   Defines the MIDlet that displays a blank Canvas on the
   device's display.  The Canvas displayed is an instance
   of the Canvas1 class.

   @see Canvas1
*/
public class CanvasDemo1 extends MIDlet
{
  // Holds a reference to the instance of this class.
  private static CanvasDemo1 midlet;

  // Holds a reference to the Canvas that the user sees on
  // the display.
  private static Canvas1 instance; 

  private Display display;  
  private Canvas1 canvas;

  /**
     No-arg constructor.  Calls the MIDlet class no-arg
     constructor.
  */
  public CanvasDemo1()
  {
    super();
    display = Display.getDisplay(this);
    instance = canvas;
    midlet = this;
  }

  /**
     Returns a reference to the MIDlet associated with
     this displayable.

     @returns the MIDlet which displays this object.
  */
  public static CanvasDemo1 getMIDlet() 
  {
    return midlet;
  }

  public void startApp()
  {
    canvas = new Canvas1();
    display.setCurrent(canvas);
  }

  public void pauseApp()
  {

  }

  public void destroyApp(boolean destroy)
  {
    instance = null;
    canvas = null;
  }

  void quit()
  {
    destroyApp(true);
    notifyDestroyed();
  }

}

