import javax.microedition.midlet.MIDlet;

import javax.microedition.lcdui.Display;

/**
   This class defines the MIDlet for a demo that prompts
   the user for a URI, then makes an HTTP connection to an
   origin server and fetches a resource. The program uses
   a Form object to enable the user to enter the URI.
*/
public class ConnectionDemo extends MIDlet 
{
  private static ConnectionDemo instance; 

  private URIEntry urlForm;

  public ConnectionDemo()
  {
    super();
    instance = this;
  }

  /**
     Returns the single instance of this class.  Calling
     this method before constructing an object will return
     a null pointer.
     
     @return an instance of this class.
  */
  public static ConnectionDemo getInstance()
  {
    return instance;
  }

  public void startApp()
  {
    Display display;  
    
    URIEntry urlForm = URIEntry.getInstance();

    display = Display.getDisplay(this);
    display.setCurrent(urlForm);
  }

  public void pauseApp()
  {

  }

  void quit()
  {
    destroyApp(true);
    notifyDestroyed();
  }

  public void destroyApp(boolean destroy)
  {
    instance = null;
  }

  /**
     Sets this object to be the current displayable object
     for the MIDlet.
  */
  public void display()
  {
    Display.getDisplay(this).setCurrent(urlForm);
  }

}

