import java.util.Date;
import java.util.Calendar;
import java.util.TimeZone;

import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.CommandListener;
import javax.microedition.lcdui.DateField;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.Form;

/**
   Demonstrates the use of the MIDP UI DateField class.

   @see javax.microedition.lcdui.DateField
*/
public class DateFieldDemo extends Form 
  implements CommandListener
{
  private Command back = 
    new Command("Back", Command.BACK, 1);

  private static Displayable instance; 

  private DateField date = 
    new DateField("Date/Time in GMT",
		  DateField.DATE_TIME,
		  TimeZone.getDefault());

  /**
     Constructor.
  */
  public DateFieldDemo()
  {
    super("DateField Demo");

    Calendar cal = Calendar.getInstance();
    date.setDate(cal.getTime());

    append(date);
    addCommand(back);
    setCommandListener(this);

    instance = this;
  }

  /**
     Returns the single instance of this class.  Calling
     this method before constructing an object will return
     a null pointer.
     
     @return an instance of this class.
  */
  public static Displayable getInstance()
  {
    return instance;
  }

  public void commandAction(Command c, Displayable d)
  {
    if (c == back)
      {
	UIComponentDemo.getInstance().display();
      }
  }
}
