import javax.microedition.lcdui.Display;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.Form;

import javax.microedition.midlet.MIDlet;

/**
   Creates the "Hello world" program in J2ME MIDP.  

   Note that the class must be public so that the device
   application management software can instantiate it.
*/  
public class HelloWorld extends MIDlet 
{
  // The Displayable.  This component is displayed on the
  // screen.
  private Form form;

  // The Display.  This object manages all Displayable
  // components.
  private Display display;

  // A public no-arg constructor is necessary, even though
  // the system calls startApp()!  The AMS calls the
  // class's no-arg constructor to instantiate the class.
  // Either create a public no-arg constructor, or declare
  // no constructors, and let the compiler create a public
  // no-arg constructor.
  //
  public HelloWorld()
  {
    super();
  }

  public void destroyApp(boolean destroy)
  {
    form = null;
    notifyDestroyed();
  }
    
  public void pauseApp()
  {

  }

  public void startApp()
  {
    // Create a Displayable widget. 
    form = new Form("Hello, World");

    // Add a string to the form.  
    String msg = "My first MIDlet!";
    form.append(msg);

    // This app simply displays the single form created
    // above.
    display = Display.getDisplay(this);
    display.setCurrent(form);

    printSystemProperties();
    printAppProperties();
  }

  /**
     Prints the values of the standard system properties
     using the System.getProperty() call.
  */
  protected void printSystemProperties()
  {
    String conf;
    String profiles;
    String platform;
    String encoding;
    String locale;

    conf = System.getProperty("microedition.configuration");
    System.out.println(conf);

    profiles = System.getProperty("microedition.profiles");
    System.out.println(profiles);

    platform = System.getProperty("microedition.platform");
    System.out.println(platform);

    encoding = System.getProperty("microedition.encoding");
    System.out.println(encoding);

    locale = System.getProperty("microedition.locale");
    System.out.println(locale);
    System.out.println();
  }

  /**
     Prints application properties using the
     MIDlet.getAppProperty() call.
  */
  protected void printAppProperties()
  {
    System.out.println(getAppProperty("MIDlet-Name"));
    System.out.println(getAppProperty("MIDlet-Jar-Size"));
    System.out.println(getAppProperty("MIDlet-Jar-URL"));
    System.out.println(getAppProperty("MIDlet-Vendor"));
  }
}


