import javax.microedition.midlet.MIDlet;

import javax.microedition.lcdui.Alert;
import javax.microedition.lcdui.AlertType;
import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.CommandListener;
import javax.microedition.lcdui.Display;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.Form;

/** 
    The second version of the HelloWorld application.

    This version adds a command to a Displayable component
    and sets a command listener to listen for command
    activation and take some action in response to it.
    This example demonstrates how the Displayable defines
    the semantics of the command execution.
*/
public class HelloWorld2 extends MIDlet
{
  // The Displayable.  This component is displayed on the
  // screen.
  private Form form;

  // The Display.  This object manages all Displayable
  // components.
  Display display;

  private Alert alert;
  private Command showAlert; 
  private Command sayHi;

  // The instance of the inner class that defines the
  // CommandListener for this MIDlet.
  private MyCommandListener cl = new MyCommandListener();

  private final String ALERT_LABEL = "Alert Me!";

  public HelloWorld2()
  {
    super();
  }

  public void destroyApp(boolean destroy)
  {
    form = null;
  }
    
  public void pauseApp()
  {

  }

  public void startApp()
  {
    // Create a Displayable widget. 
    form = new Form("Hello World");

    // Add a string widget to the form.  
    String msg = "My second MIDlet!";
    form.append(msg);

    // Add a MyCommandListener to the Form to listen for
    // the "Back" key press event, which should make an
    // Alert dialog pop up.
    form.setCommandListener(cl);

    showAlert = new Command(ALERT_LABEL, Command.SCREEN, 1);
    form.addCommand(showAlert);

    sayHi = new Command("Say Hi", Command.SCREEN, 1);
    form.addCommand(sayHi);

    // This app simply displays the single form created above.
    display = Display.getDisplay(this);
    display.setCurrent(form);
  }

  // This class simply listens for any command activation.
  // It doesn't check the command information, but simply
  // displays a modal Alert indicating a soft button was
  // activated by the user.
  private class MyCommandListener implements CommandListener
  {
    public void commandAction(Command c, Displayable d)
    {
      alert = new Alert("Button pressed",
			"The '" + ALERT_LABEL + "' button was pressed",
			null, AlertType.INFO);
//       if (c == showAlert)
// 	{
// 	  alert = new Alert("Button pressed", 
// 			    "The '" + ALERT_LABEL + "' button was pressed",
// 			    null, AlertType.INFO);
// 	}
//       else if (c == sayHi)
// 	{
// 	  alert = new Alert("Button pressed", 
// 			    "The " + "'Say Hi' button was pressed", 
// 			    null, AlertType.INFO);
// 	}
      alert.setTimeout(Alert.FOREVER);
      display.setCurrent(alert, form);
    }
  }
}


