import javax.microedition.midlet.MIDlet;

import javax.microedition.lcdui.Alert;
import javax.microedition.lcdui.AlertType;
import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.CommandListener;
import javax.microedition.lcdui.Display;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.Form;

/**
  The third version of the HelloWorld application.  

  This version builds upon HelloWorld2 by adding several
  commands to a Displayable component.  The demonstration
  here is that the CommandListener must determine which
  command was activated on the Screen.

  Also, you can see how the implementation orders commands
  on the soft buttons and how it creates a menu and orders
  the commands on the menu according to command type.
*/
public class HelloWorld3 extends MIDlet
{
  // The Displayable.  This component is displayed on the
  // screen.
  private Form form;

  // The Display.  This object manages all Displayable
  // components.
  private Display display;

  private MyCommandListener cl = new MyCommandListener();
  private Alert alert;

  private Command showAlert = 
    new Command("Alert Me!", Command.SCREEN, 1);;

  private Command sayHi =  
    new Command("Say Hi", Command.SCREEN, 1);;

  private Command cancel = 
    new Command("Cancel", Command.CANCEL, 1);

  private Command exit = 
    new Command("Exit", Command.EXIT, 2);

  private Command help = 
    new Command("Help", Command.HELP, 3);

  private Command item = 
    new Command("Item", Command.ITEM, 4);

  private Command ok = 
    new Command("OK", Command.OK, 5);

  private Command screen = 
    new Command("Screen", Command.SCREEN, 6);

  private Command stop = 
    new Command("Stop", Command.STOP, 7);

  public HelloWorld3()
  {
    super();
  }

  public void destroyApp(boolean destroy)
  {
    notifyDestroyed();
  }
    
  public void pauseApp()
  {

  }

  public void startApp()
  {
    // Create a Displayable widget. 
    form = new Form("Hello World");

    // Add a string widget to the form.  
    String msg = "My third MIDlet!";
    form.append(msg);

    // Add a MyCommandListener to the Form to listen for
    // the "Back" key press event, which should make an
    // Alert dialog pop up.
    form.setCommandListener(cl);

    form.addCommand(showAlert);
    form.addCommand(sayHi);
    form.addCommand(cancel);

    form.addCommand(exit);
    form.addCommand(help);
    form.addCommand(item);
    form.addCommand(ok);
    form.addCommand(screen);
    form.addCommand(stop);

    // This app simply displays the single form created
    // above.
    display = Display.getDisplay(this);
    display.setCurrent(form);
  }

  // This class simply listens for any command activation.
  // It doesn't check the command information, but simply
  // displays a modal Alert indicating a soft button was
  // activated by the user.
  private class MyCommandListener implements CommandListener
  {
    public void commandAction(Command c, Displayable d)
    {
      if (c == showAlert)
	{
	  alert = new Alert("Button pressed", 
			    "Button was pressed", 
			    null, AlertType.INFO);
	  alert.setTimeout(Alert.FOREVER);
	  display.setCurrent(alert, form);
	}
      else if (c == sayHi)
	{
	  alert = new Alert("Hi Button pressed",
			    "Button was pressed", 
			    null, AlertType.INFO);
	  alert.setTimeout(Alert.FOREVER);
	  display.setCurrent(alert, form);
	}

      if (c == exit)
	{
	  destroyApp(true);
	}
    }
  }
}


