import javax.microedition.lcdui.Image;

import java.io.IOException;

/**
   This class defines localized resources for the
   I18NDemo3 application.  You retrieve the a resource by
   calling the getObject() method in the ResourceBundle
   class.
*/
public class I18NDemoResources_en_US 
  extends ListResourceBundle
{

  // Holds one of the localized resources.  We need to
  // initialize this variable in this class's static
  // initializer.
  private static Image appIcon;

  private Object [][] contents =
  {
    {"title", "Hello, World"},	// Form title. 
    {"greeting", "My third MIDlet"}, // Form text. 
    {"alert_title", "Button Pressed"}, // Alert title.
    {"alert_text", "A button was pressed!"},// Alert text.
    {"exit", "Exit"},		// "Exit" menu item.
    {"menu", "Menu"},		// "Menu" soft button. 
    {"cancel", "Cancel"},	// "Cancel" menu item.
    {"stop", "Stop"},		// "Stop" menu item.
    {"ok", "OK"},		// "OK" menu item.
    {"alert", "Alert"},		// "Alert" soft button.
    {"sayhi","Say Hi"},		// "Say Hi" menu item.
    {"screen", "Screen"},	// "Screen" menu item.
    {"item", "Item"},		// "Item" menu item.
    {"help", "Help"},		// "Help" menu item. 
    {"app_icon", appIcon}	// Application icon.
  };

  /**
     No-arg constructor.
  */
  public I18NDemoResources_en_US()
  {
    super();
  }

  public Object [][] getContents()
  {
    return contents;
  }

  // Need the static initializer to initialize any
  // variables that can't be initialized in the contents
  // array.  For example, we can't put an expression in
  // the contents array to create an image and do the
  // required exception handling.
  static
  {
    try
      {
	appIcon = Image.createImage("i18n-en_US.png");
      }
    catch (IOException ioe)
      {
	System.out.println(ioe.getMessage());
	ioe.printStackTrace();
      }
  }


}
