import javax.microedition.lcdui.Image;

import java.io.IOException;

/**
   A class that represents the localized resources for the
   French language as spoken in France.  Notice the use of
   Unicode escape sequences in the string literals.  Using
   Unicode escape sequences in string literals means we
   can write this file using only ASCII characters, making
   it easier to maintain.  It's easy to add comments to
   make the strings readable.
*/
public class I18NDemoResources_fr_FR 
  extends ListResourceBundle
{
  // Holds one of the localized resources.  We need to
  // initialize this variable in this class's static
  // initializer.
  private static Image appIcon;

  private Object [][] contents =
  {
    // Form title.
    {"title", "All\u00f4, tout le Monde"}, 

    // Form text: "My third MIDlet". 
    {"greeting", "Mon troisi\u00e8me MIDlet"}, 

    // "Button was Pressed".
    {"alert_title", "Bouton a \u00e9t\u00e9 press\u00e9"},

    // "The button was pressed". 
    {"alert_text", "Le bouton a \u00e9t\u00e9 press\u00e9!"},
    {"exit", "Sortie"},		// "Exit" menu item.
    {"menu", "Menu"},		// "Menu" soft button. 
    {"cancel", "Quitter"},	// "Cancel" menu item.
    {"stop", "Arreter"},	// "Stop" menu item.
    {"ok", "OK"},		// "OK" menu item.
    {"alert", "Alerte"},	// "Alert" soft button.
    {"sayhi","Dis bonjour"},	// "Say Hi" menu item.
    {"screen", "Ecran"},	// "Screen" menu item.
    {"item", "Item"},		// "Item" menu item.
    {"help", "Aider"},		// "Help" menu item. 
    {"app_icon", appIcon}	// Application icon.
  };

  /**
     No-arg constructor.
  */
  public I18NDemoResources_fr_FR()
  {
    super();
  }

  /**
     Gets the contents of the resource bundle.

     @returns the array of key-value pairs.
  */
  public Object [][] getContents()
  {
    return contents;
  }

  // Notice that the static initializer instantiates the
  // Image class with a different image that that used by
  // the en_US locale.
  static
  {
    try
      {
	appIcon = Image.createImage("i18n-fr_FR.png");
      }
    catch (IOException ioe)
      {
	System.out.println(ioe.getMessage());
	ioe.printStackTrace();
      }
  }
}
