import javax.microedition.lcdui.Image;

import java.io.IOException;

/**
   This class defines localized resources for the
   I18NDemo3 application.  You retrieve the a resource by
   calling the getObject() method in the ResourceBundle
   class.
*/
public class I18NDemoResources_ja_JP 
  extends ListResourceBundle
{

  // Holds one of the localized resources.  We need to
  // initialize this variable in this class's static
  // initializer.
  private static Image appIcon;

  private Object [][] contents =
  {
    // "Hello, World"
    {"title", "\u24f64\u3055\u3093, \u3053\u3093\u306b\u3061\u306f"},

    // "My third MIDlet".
    {"greeting", "\u79c1\u306e 3 \u3063\u3081\u306e MIDlet"},

    // "Button Pressed".
    {"alert_title", "\u30dc\u30bf\u30f3\u304c\u62bc\u3055\u308c\u307e\u3057\u305f"}, 

    // "A button was pressed." 
    {"alert_text", "\u30dc\u30bf\u30f3\u304c\u62bc\u3055\u308c\u307e\u3057\u305f!"},

    // "Exit" menu item.
    {"exit", "\u51fa\53e3"},

    // "Menu" soft button. 
    {"menu", "\u30e1\u30cb\u30e6\u30fc"}, 

    // "Cancel" menu item.
    {"cancel", "\u30ad\u30e4\u30f3\u30bb\u30eb"}, 

    // "Stop" menu item.
    {"stop", "\u505c\u6b62"},

    // "OK" menu item.
    {"ok", "OK"},

    // "Alert" soft button.
    {"alert", "\u8b66 ?"},

    // "Say Hi" menu item.
    {"sayhi","\u30cf\u30a4"},

    // "Screen" menu item.
    {"screen", "\u30b9\u30af\u30ea\u30f3"},

    // "Item" menu item.
    {"item", "\u9805\u76ee"},

    // "Help" menu item.
    {"help", "\u76ee\u304b\u3051\u308d"},	

    // Application icon.
    {"app_icon", appIcon}
  };

  /**
     No-arg constructor.
  */
  public I18NDemoResources_ja_JP()
  {
    super();
  }

  public Object [][] getContents()
  {
    return contents;
  }

  // Need the static initializer to initialize any
  // variables that can't be initialized in the contents
  // array.  For example, we can't put an expression in
  // the contents array to create an image and do the
  // required exception handling.
  static
  {
    try
      {
	appIcon = Image.createImage("i18n-ja_JP.png");
      }
    catch (IOException ioe)
      {
	System.out.println(ioe.getMessage());
	ioe.printStackTrace();
      }
  }


}
