import javax.microedition.lcdui.Image;

import java.io.IOException;

/**
   This class defines localized resources for the
   I18NDemo3 application.  You retrieve the a resource by
   calling the getObject() method in the ResourceBundle
   class.
*/
public class I18NDemoResources_zh_CN 
  extends ListResourceBundle
{

  // Holds one of the localized resources.  We need to
  // initialize this variable in this class's static
  // initializer.
  private static Image appIcon;

  private Object [][] contents =
  {
    // "Hello, World" form title. 
    {"title", "\u54c8\u7f57\u4e16\754c"},	

    // "My third MIDlet" form text. 
    {"greeting", "\u6211\u7684\7b2c\u4e09\u4187 MIDlet"}, 

    // "Button Pressed" alert title.
    {"alert_title", "\u6309\u4e0b\u6309\u9215"}, 

    // "A button was pressed!" alert text.
    {"alert_text", "\u6309\u4e00\u4187\u6309\u9215!"},

    // "Exit" menu item.
    {"exit", "\u767b\u51fa"},

    // "Menu" soft button. 
    {"menu", "\u76ee\u5f54"},	

    // "Cancel" menu item.
    {"cancel", "\u53d6\u6d88"},

    // "Stop" menu item.
    {"stop", "\u505c\u6b62"},	

    // "OK" menu item.
    {"ok", "OK"},	

    // "Alert" soft button.
    {"alert", "\u8b66\u793a"},

    // "Say Hi" menu item.
    {"sayhi", "\u55e8"},

    // "Screen" menu item.
    {"screen", "\u87a2\u5e55"},

    // "Item" menu item.
    {"item", "\u9879\u76ee"},	

    // "Help" menu item. 
    {"help", "\u8bf4\u660e"},

    // Application icon.
    {"app_icon", appIcon}
  };

  /**
     No-arg constructor.
  */
  public I18NDemoResources_zh_CN()
  {
    super();
  }

  public Object [][] getContents()
  {
    return contents;
  }

  // Need the static initializer to initialize any
  // variables that can't be initialized in the contents
  // array.  For example, we can't put an expression in
  // the contents array to create an image and do the
  // required exception handling.
  static
  {
    try
      {
	appIcon = Image.createImage("i18n-zh_CN.png");
      }
    catch (IOException ioe)
      {
	System.out.println(ioe.getMessage());
	ioe.printStackTrace();
      }
  }


}
