import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.CommandListener;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.Form;
import javax.microedition.lcdui.Image;
import javax.microedition.lcdui.ImageItem;

import java.io.IOException;

/**
   This class demonstrates the use of the MIDP UI
   ImageItem class.

   @see javax.microedition.lcdui.ImageItem
*/
public class ImageItemDemo extends Form 
  implements CommandListener
{
  private Command back = 
    new Command("Back", Command.BACK, 1);

  private static Displayable instance; 

  private ImageItem imageItem;

  /**
     Constructor.

     @throws IOException if the specified image resource
     cannot be found.
  */
  public ImageItemDemo() throws IOException
  {
    super("ImageItem Demo");

    String path = "/bottle80x80.png";
    Image image = Image.createImage(path);
    imageItem = new ImageItem("Ship in a bottle", 
			      image, 
			      ImageItem.LAYOUT_CENTER, 
			      "Image not found");
    append(imageItem);

    addCommand(back);
    setCommandListener(this);

    instance = this;
  }

  /**
     Returns the single instance of this class.  Calling
     this method before constructing an object will return
     a null pointer.
     
     @return an instance of this class.
  */
  public static Displayable getInstance()
  {
    return instance;
  }

  public void commandAction(Command c, Displayable d)
  {
    if (c == back)
      {
	UIComponentDemo.getInstance().display();
      }
  }
}
