import javax.microedition.lcdui.Canvas;
import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.CommandListener;
import javax.microedition.lcdui.Display;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.Graphics;
import javax.microedition.lcdui.Command;

/**
   Draws a series of lines to demonstrate the different
   types and styles of lines that can be drawn with the
   Graphics class.

   @see javax.microedition.lcdui.Graphics
*/
public class LineDemo extends Canvas 
  implements CommandListener
{
  // Constant representing the color white. 
  private static final int WHITE = 
    0xFF << 16 | 0xFF << 8 | 0xFF;

  private Command back = new Command("Back", 
			     Command.BACK, 
			     1);
  private GraphicsDemo gDemo = GraphicsDemo.getInstance();
  private Display display = Display.getDisplay(gDemo);

  /**
     No-arg constructor.
  */
  public LineDemo()
  {
    super();
    addCommand(back);
    setCommandListener(this);
    display.setCurrent(this);
  }

  /**
     Paints the clip rectangle white, effectively erasing
     whatever was displayed on the Canvas previously.
  */
  protected void paintClipRect(Graphics g)
  {
    int clipX = g.getClipX();
    int clipY = g.getClipY();
    int clipH = g.getClipHeight();
    int clipW = g.getClipWidth();

    int color = g.getColor();
    g.setColor(WHITE);
    g.fillRect(clipX, clipY, clipW, clipH);

    g.setColor(color);
  }

  /**
     Paints the look of this Canvas subclass. 
  */
  public void paint(Graphics g)
  {
    paintClipRect(g);

    int width = getWidth();
    int height = getHeight();

    g.drawLine(20, 10, width - 20, height - 34);
    g.drawLine(20, 11, width - 20, height - 33);
    g.drawLine(20, 12, width - 20, height - 32);
    g.drawLine(20, 13, width - 20, height - 31);
    g.drawLine(20, 14, width - 20, height - 30);

    g.setStrokeStyle(Graphics.DOTTED);
    g.drawLine(20, 24, width - 20, height - 20);
    g.drawLine(20, 25, width - 20, height - 19);
    g.drawLine(20, 26, width - 20, height - 18);

    g.setStrokeStyle(Graphics.SOLID);
    g.drawLine(20, 36, width - 20, height - 8);
  }

  public void commandAction(Command c, Displayable d)
  {
    if (c == back)
      {
	GraphicsDemo.getInstance().display();
      }
  }
}
