import javax.microedition.midlet.MIDlet;

import javax.microedition.lcdui.Choice;
import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.CommandListener;
import javax.microedition.lcdui.Display;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.List;

import javax.microedition.rms.RecordStoreException;

public class PersistenceDemo extends MIDlet 
  implements CommandListener
{
  private static Command exit = 
    new Command("Exit", Command.EXIT, 1);

  private static PersistenceDemo instance; 
  private List mainMenu = new List("Select application", 
				   Choice.IMPLICIT, 
				   demoClasses, null);

  private static String [] demoClasses =
  {
    "Address book"
  };


  public PersistenceDemo()
  {
    super();
    instance = this;
  }

  public static PersistenceDemo getInstance()
  {
    return instance;
  }

  public void startApp()
  {
    Display display;  

    mainMenu.addCommand(exit);
    mainMenu.setCommandListener(this);

    display = Display.getDisplay(this);
    display.setCurrent(mainMenu);
  }

  public void pauseApp()
  {

  }

  public void quit()
  {
    destroyApp(true);
    notifyDestroyed();
  }

  public void destroyApp(boolean destroy)
  {
    instance = null;
  }

  public void display()
  {
    Display.getDisplay(this).setCurrent(mainMenu);
  }

  public void commandAction(Command c, Displayable d)
  {
    Displayable displayable = null;

    if (c != List.SELECT_COMMAND)
      return;

    if (mainMenu.getSelectedIndex() == 0)
      {
	try
	  {
	    AddressBookMain addressBook = new AddressBookMain(this);
	    Display.getDisplay(this).setCurrent(addressBook);
	  }
	catch (RecordStoreException rse)
	  {
	    rse.printStackTrace();
	  }
      }
    else if (c == exit)
      {
	quit();
      }
  }
}

