import javax.microedition.midlet.MIDlet;

import javax.microedition.lcdui.Alert;
import javax.microedition.lcdui.AlertType;
import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.CommandListener;
import javax.microedition.lcdui.Display;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.List;

import javax.microedition.rms.RecordStoreException;

import java.io.ByteArrayInputStream;
import java.io.DataInputStream;
import java.io.IOException;

import java.util.Enumeration;
import java.util.Vector;

/**
   This class displays a list of names of records in the
   address book's record store.  
*/
public class SearchResultScreen extends List 
  implements CommandListener
{
  private static Command back = 
    new Command("Back", Command.BACK, 1);

  private Display display;
  private static SearchResultScreen instance; 

  public SearchResultScreen(Vector searchResults) 
  {
    super("Search Results", List.IMPLICIT);
    instance = this;
    
    MIDlet midlet = PersistenceDemo.getInstance();
    display = Display.getDisplay(midlet);

    addCommand(back);
    setCommandListener(this);

    if (!populate(searchResults))
      setTitle("No matches");
  }

  static SearchResultScreen getInstance()
  {
    return instance;
  }

  void display()
  {
    display.setCurrent(this);
  }

  /**
     Populates this List with the search results.  Returns
     true if there is at least one result to use, false
     otherwise.
  */
  boolean populate(Vector results)
  {
    Enumeration elements = results.elements();

    if (!elements.hasMoreElements())
      {
	return false;
      }
    while (elements.hasMoreElements())
      {
	byte [] record = (byte []) elements.nextElement();

	ByteArrayInputStream bais = 
	  new ByteArrayInputStream(record);
	DataInputStream dis = new DataInputStream(bais);

	try
	  {
	    String name = dis.readUTF();
	    append(name, null);
	  }
	catch (IOException ioe)
	  {
	    ioe.printStackTrace();
	  }      
      } 
    return true;
  }

  void displayRecord()
  {
    // Display an individual record
  }

  public void commandAction(Command c, Displayable d)
  {
    if (c == List.SELECT_COMMAND)
      {
	displayRecord();
      }
    else if (c == back)
      {
	SearchScreen.getInstance().display();
      }
  }

}

