import javax.microedition.io.StreamConnection;

/**
   This class defines the component that the server
   creates to communicate with a client.  It acts like an
   "agent" on behalf of the server so that the server is
   free to listen only for new connection requests.
   Instances of this class are indeed part of the server.
*/
public class ServerAgent implements Runnable
{
  // The connection to the server socket. 
  private StreamConnection conn;

  /**
     Constructor.

     @param c the connection object that represents the
     connection to the client.  The ServerSocket class
     creates this object and passes it to this
     constructor.
  */
  public ServerAgent(StreamConnection c)
  {
    super();
    conn = c;
  }

  /**
     Executes this server agent.  Starts the dialog with
     the client.  This method should be called explicitly
     after this object is created.
  */
  public void run()
  {
    // Communicates with the client. Implements
    // the behavior that defines this service.

  }

  
}
