import javax.microedition.lcdui.Canvas;
import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.CommandListener;
import javax.microedition.lcdui.Display;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.Font;
import javax.microedition.lcdui.Graphics;

/**
   Displays some text "drawn" on a Canvas.  Demonstrates the use of
   the Graphics text drawing routines.

   @see javax.microedition.lcdui.Graphics
*/
public class TextDemo extends Canvas 
  implements CommandListener
{
  private final int WHITE = 0xFF << 16 | 0xFF << 8 | 0xFF;

  private Command back = new Command("Back", 
				     Command.BACK, 
				     1);
  private Display display =
    Display.getDisplay(GraphicsDemo.getInstance());

  public TextDemo()
  {
    super();
    addCommand(back);
    setCommandListener(this);
    display.setCurrent(this);
  }

  protected void paintClipRect(Graphics g)
  {
    int clipX = g.getClipX();
    int clipY = g.getClipY();
    int clipH = g.getClipHeight();
    int clipW = g.getClipWidth();

    int color = g.getColor();

    g.setColor(WHITE);
    g.fillRect(clipX, clipY, clipW, clipH);

    g.setColor(color);
  }

  public void paint(Graphics g)
  {
    paintClipRect(g);

    int width = getWidth();
    int height = getHeight();

    g.setFont(Font.getDefaultFont());
    g.drawString("Default", 5, 30, 
		 Graphics.LEFT | Graphics.BOTTOM);

    g.setFont(Font.getFont(Font.FACE_SYSTEM,
			   Font.STYLE_PLAIN,
			   Font.SIZE_LARGE));
    g.drawString("Large", 5, 53, 
		 Graphics.LEFT | Graphics.BOTTOM);

    g.setFont(Font.getFont(Font.FACE_MONOSPACE, 
			   Font.STYLE_ITALIC, 
			   Font.SIZE_MEDIUM));
    g.drawString("Medium", 5, 71, 
		 Graphics.LEFT | Graphics.BOTTOM);

    g.setFont(Font.getFont(Font.FACE_PROPORTIONAL, 
			   Font.STYLE_UNDERLINED, 
			   Font.SIZE_SMALL));
    g.drawString("Small", 5, 90, 
		 Graphics.LEFT | Graphics.BOTTOM);

    g.setFont(Font.getFont(Font.FACE_MONOSPACE, 
			   Font.STYLE_BOLD, 
			   Font.SIZE_MEDIUM));
    g.drawString("V", width - 10, 20, 
		 Graphics.RIGHT | Graphics.BOTTOM);
    g.drawString("E", width - 10, 32, 
		 Graphics.RIGHT | Graphics.BOTTOM);
    g.drawString("R", width - 10, 44, 
		 Graphics.RIGHT | Graphics.BOTTOM);
    g.drawString("T", width - 10, 56, 
		 Graphics.RIGHT | Graphics.BOTTOM);
    g.drawString("I", width - 10, 68, 
		 Graphics.RIGHT | Graphics.BOTTOM);
    g.drawString("C", width - 10, 80, 
		 Graphics.RIGHT | Graphics.BOTTOM);
    g.drawString("A", width - 10, 92, 
		 Graphics.RIGHT | Graphics.BOTTOM);
    g.drawString("L", width - 10, 104, 
		 Graphics.RIGHT | Graphics.BOTTOM);

    g.drawChar('B', width - 25, 20,
	       Graphics.RIGHT | Graphics.BOTTOM);
    g.drawChar('O', width - 25, 32, 
	       Graphics.RIGHT | Graphics.BOTTOM);
    g.drawChar('L', width - 25, 44, 
	       Graphics.RIGHT | Graphics.BOTTOM);
    g.drawChar('D', width - 25, 56, 
	       Graphics.RIGHT | Graphics.BOTTOM);
  }

  public void commandAction(Command c, Displayable d)
  {
    if (c == back)
      {
	GraphicsDemo.getInstance().display();
      }
  }
}
